Get all company charities selection
GET/auth/company/charities
This call is designed to retrieve a structured list of charities to be displayed during the payment process. The list is returned deterministically, considering the same set of values input. Specifically, if an company_id is provided, whitelist/blacklist logic will be invoked. For instance, if a whitelist is defined in the data model, a charity will only appear if there's a whitelist match. Conversely, if a blacklist is specified in the data model, a charity will only be displayed if there's no blacklist match. This logic is applicable both at the charity and company level, where either entity can include/exclude a specific counterparty. Moreover, if the 'cents ai' feature is enabled, additional refinements such as filtering charities based on company sectors or consumer user location will be implemented.
Request
Query Parameters
Enable centsAI retrieve, if false all charities will be returned
Additional parameters used by cent AI to refine the results, it's a JSON string converted in base64
Responses
- 200
- 401
- 402
successful operation
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
Array [
]
]
]
cents id of the charity
The name of the charity
Stripe ID of the charity
sectors to be used for blacklist/whitelist from company gateway side
List of sectors of companies to be excluded
List of companies to be exclude
List of sectors of companies to be included, if empty all companies will be included
List of companies to be included, if empty all companies will be included
areas
object[]
The region of action
The country of action
categories
undefined[]
Cents ID of the category
Category name
Category description
causes
undefined[]
name
object
The name of the cause
The key of the cause
translations
object
The translations
The english translation
The italian translation
description
object
The english translation
The italian translation
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Fondazione Umberto Venovesi",
"stripe_id": "ch_zo0p1q2r3s4t5u6v7w8x9y0",
"sectors": [
[
"Public Sector"
]
],
"company_blacklist_sectors": [
[
"sector 1",
"sector 2"
]
],
"company_blacklist": [
[
"company_id_1",
"company_id_2"
]
],
"company_whitelist_sectors": [
[
"sector 1",
"sector 2"
]
],
"company_whitelist": [
[
"company_id_1",
"company_id_2"
]
],
"areas": [
{
"region": "Kenya",
"country": "Africa"
}
],
"categories": [
{
"category_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Alberi",
"description": "Seminiamo Alberi",
"causes": [
{
"name": {
"key": "Cause",
"translations": {
"en": "Cause",
"it": "Causa"
}
},
"description": {
"en": "Cause Description",
"it": "Descrizione Causa"
}
}
]
}
]
}
]
Unauthorized
Payment Required